Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface TransactionResourceRuntimeMBean

public interface TransactionResourceRuntimeMBean
extends JTAStatisticsRuntimeMBean, weblogic.health.HealthFeedback

This interface represents runtime statistics for a transactional resource.

Method Summary
`weblogic.health.HealthState` | `getHealthState()` Returns the health state of the Resource.
`java.lang.String` | `getResourceName()` Returns the resource name.
`long` | `getTransactionHeuristicCommitTotalCount()` Returns the number of transactions for which this resource has returned a heuristic commit decision.
`long` | `getTransactionHeuristicHazardTotalCount()` Returns the number of transactions for which this resource has reported a heuristic hazard decision.
`long` | `getTransactionHeuristicMixedTotalCount()` Returns the number of transactions for which this resource has reported a heuristic mixed decision.
`long` | `getTransactionHeuristicRollbackTotalCount()` Returns the number of transactions for which this resource has returned a heuristic rollback decision.

Methods inherited from interface weblogic.management.runtime.JTAStatisticsRuntimeMBean
`getTransactionCommittedTotalCount, getTransactionHeuristicsTotalCount, getTransactionRolledBackTotalCount, getTransactionTotalCount`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getResourceName

    public java.lang.String getResourceName()

  Returns the resource name.

### getTransactionHeuristicCommitTotalCount

    public long getTransactionHeuristicCommitTotalCount()

  Returns the number of transactions for which this resource has returned a heuristic commit decision.

### getTransactionHeuristicRollbackTotalCount

    public long getTransactionHeuristicRollbackTotalCount()

  Returns the number of transactions for which this resource has returned a heuristic rollback decision.

### getTransactionHeuristicMixedTotalCount

    public long getTransactionHeuristicMixedTotalCount()

  Returns the number of transactions for which this resource has reported a heuristic mixed decision.

### getTransactionHeuristicHazardTotalCount

    public long getTransactionHeuristicHazardTotalCount()

  Returns the number of transactions for which this resource has reported a heuristic hazard decision.

### getHealthState

    public weblogic.health.HealthState getHealthState()

  Returns the health state of the Resource.
  Specified by:
    getHealthState in interface weblogic.health.HealthFeedback

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference